Page MenuHomePhabricator

[clang] Remove unit test which uses reverse-iterate flag
ClosedPublic

Authored by mgrang on Aug 6 2017, 10:39 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

mgrang created this revision.Aug 6 2017, 10:39 PM

This patch does 3 things:

  1. Get rid of the unit test objc-modern-metadata-visibility2.mm because this test check uses flag -reverse-iterate. This flag will be removed in D35043.
  1. D35043 gets rid of the empty base definition for PointerLikeTypeTraits. This results in a compiler warning because PointerLikeTypeTrait has been defined as struct here while in the header it is a class. So I have changed struct to class.
  1. Since I changed struct PointerLikeTypeTrait to class PointerLikeTypeTrait here, the member functions are no longer public now. This results in a compiler error. So I explicitly marked them as public here.
mgrang updated this revision to Diff 111557.Aug 17 2017, 1:23 PM
mgrang retitled this revision from [clang] Remove unit test which uses reverse-iterate and fix a PointerLikeTypeTrait specialization to [clang] Remove unit test which uses reverse-iterate flag.
mgrang edited the summary of this revision. (Show Details)
dblaikie accepted this revision.Aug 24 2017, 1:41 PM

sounds good - so long as other tests would fail if the fix this test was testing wasn't present (on a reverse iteration enabled build)

This revision is now accepted and ready to land.Aug 24 2017, 1:41 PM
This revision was automatically updated to reflect the committed changes.

sounds good - so long as other tests would fail if the fix this test was testing wasn't present (on a reverse iteration enabled build)

Thanks! Yes, I verified that the test objc-modern-metadata-visibility.mm would fail in a reverse iteration build w/o the fix this was testing.